package b4a.example;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	private static final boolean fullScreen = false;
	private static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                anywheresoftware.b4a.keywords.Common.Log("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.main");
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        initializeProcessGlobals();		
        initializeGlobals();
        
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true)
				return true;
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.LabelWrapper _la1 = null;
public anywheresoftware.b4a.objects.LabelWrapper _la2 = null;
public anywheresoftware.b4a.objects.LabelWrapper _la3 = null;
public anywheresoftware.b4a.objects.LabelWrapper _la4 = null;
public anywheresoftware.b4a.objects.LabelWrapper _la5 = null;
public anywheresoftware.b4a.objects.LabelWrapper _la6 = null;
public anywheresoftware.b4a.objects.LabelWrapper _la7 = null;
public anywheresoftware.b4a.objects.LabelWrapper _la8 = null;
public anywheresoftware.b4a.objects.LabelWrapper _la9 = null;
public anywheresoftware.b4a.objects.LabelWrapper _la10 = null;
public anywheresoftware.b4a.objects.LabelWrapper _la11 = null;
public anywheresoftware.b4a.agraham.dialogs.InputDialog.CustomDialog2 _mail_daten = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
		Debug.PushSubsStack("Activity_Create (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
anywheresoftware.b4a.objects.ScrollViewWrapper _list_email = null;
anywheresoftware.b4a.objects.PanelWrapper _pnlmail = null;
int _ret = 0;
anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper _cb1 = null;
anywheresoftware.b4a.objects.drawable.GradientDrawable _gd1 = null;
int[] _clrs = null;
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 30;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 36;BA.debugLine="Dim List_Email As ScrollView";
Debug.ShouldStop(8);
_list_email = new anywheresoftware.b4a.objects.ScrollViewWrapper();Debug.locals.put("List_Email", _list_email);
 BA.debugLineNum = 37;BA.debugLine="Dim pnlMail As Panel";
Debug.ShouldStop(16);
_pnlmail = new anywheresoftware.b4a.objects.PanelWrapper();Debug.locals.put("pnlMail", _pnlmail);
 BA.debugLineNum = 39;BA.debugLine="Dim ret As Int";
Debug.ShouldStop(64);
_ret = 0;Debug.locals.put("ret", _ret);
 BA.debugLineNum = 40;BA.debugLine="Dim CB1 As CheckBox";
Debug.ShouldStop(128);
_cb1 = new anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper();Debug.locals.put("CB1", _cb1);
 BA.debugLineNum = 42;BA.debugLine="Dim gd1 As GradientDrawable";
Debug.ShouldStop(512);
_gd1 = new anywheresoftware.b4a.objects.drawable.GradientDrawable();Debug.locals.put("gd1", _gd1);
 BA.debugLineNum = 43;BA.debugLine="Dim Clrs(2) As Int";
Debug.ShouldStop(1024);
_clrs = new int[(int)(2)];
;Debug.locals.put("Clrs", _clrs);
 BA.debugLineNum = 45;BA.debugLine="Clrs(0) = Colors.White";
Debug.ShouldStop(4096);
_clrs[(int)(0)] = anywheresoftware.b4a.keywords.Common.Colors.White;Debug.locals.put("Clrs", _clrs);
 BA.debugLineNum = 46;BA.debugLine="Clrs(1) = Colors.White";
Debug.ShouldStop(8192);
_clrs[(int)(1)] = anywheresoftware.b4a.keywords.Common.Colors.White;Debug.locals.put("Clrs", _clrs);
 BA.debugLineNum = 47;BA.debugLine="gd1.Initialize(\"LEFT_RIGHT\", Clrs)";
Debug.ShouldStop(16384);
_gd1.Initialize(BA.getEnumFromString(android.graphics.drawable.GradientDrawable.Orientation.class,"LEFT_RIGHT"),_clrs);
 BA.debugLineNum = 48;BA.debugLine="gd1.CornerRadius = 5";
Debug.ShouldStop(32768);
_gd1.setCornerRadius((float)(5));
 BA.debugLineNum = 50;BA.debugLine="List_Email.Initialize(450dip)";
Debug.ShouldStop(131072);
_list_email.Initialize(mostCurrent.activityBA,anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(450)));
 BA.debugLineNum = 52;BA.debugLine="pnlMail.Initialize(\"pnlMail\")";
Debug.ShouldStop(524288);
_pnlmail.Initialize(mostCurrent.activityBA,"pnlMail");
 BA.debugLineNum = 54;BA.debugLine="List_Email.Panel.AddView(pnlMail,0,0,85%x, 450dip)";
Debug.ShouldStop(2097152);
_list_email.getPanel().AddView((android.view.View)(_pnlmail.getObject()),(int)(0),(int)(0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(85),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(450)));
 BA.debugLineNum = 56;BA.debugLine="La1.Initialize(\"\")";
Debug.ShouldStop(8388608);
mostCurrent._la1.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 57;BA.debugLine="La1.Text = \"Empfänger-Adr.:\"";
Debug.ShouldStop(16777216);
mostCurrent._la1.setText((Object)("Empfänger-Adr.:"));
 BA.debugLineNum = 58;BA.debugLine="La1.TextSize = 14";
Debug.ShouldStop(33554432);
mostCurrent._la1.setTextSize((float)(14));
 BA.debugLineNum = 59;BA.debugLine="La1.Typeface = Typeface.DEFAULT_BOLD							'Schriftart";
Debug.ShouldStop(67108864);
mostCurrent._la1.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT_BOLD);
 BA.debugLineNum = 60;BA.debugLine="La1.Color = Colors.ARGB(10,0,0,0)";
Debug.ShouldStop(134217728);
mostCurrent._la1.setColor(anywheresoftware.b4a.keywords.Common.Colors.ARGB((int)(10),(int)(0),(int)(0),(int)(0)));
 BA.debugLineNum = 61;BA.debugLine="La1.Gravity = Bit.OR(Gravity.LEFT, Gravity.CENTER_VERTICAL)	'Ausrichtung Text im Label";
Debug.ShouldStop(268435456);
mostCurrent._la1.setGravity(anywheresoftware.b4a.keywords.Common.Bit.Or(anywheresoftware.b4a.keywords.Common.Gravity.LEFT,anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL));
 BA.debugLineNum = 62;BA.debugLine="La1.TextColor = Colors.White";
Debug.ShouldStop(536870912);
mostCurrent._la1.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 BA.debugLineNum = 63;BA.debugLine="pnlMail.AddView(La1,10,10,250,20)";
Debug.ShouldStop(1073741824);
_pnlmail.AddView((android.view.View)(mostCurrent._la1.getObject()),(int)(10),(int)(10),(int)(250),(int)(20));
 BA.debugLineNum = 65;BA.debugLine="La2.Initialize(\"\")";
Debug.ShouldStop(1);
mostCurrent._la2.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 66;BA.debugLine="La2.Text = \"\"";
Debug.ShouldStop(2);
mostCurrent._la2.setText((Object)(""));
 BA.debugLineNum = 67;BA.debugLine="La2.TextSize = 20";
Debug.ShouldStop(4);
mostCurrent._la2.setTextSize((float)(20));
 BA.debugLineNum = 68;BA.debugLine="La2.Typeface = Typeface.DEFAULT_BOLD							'Schriftart";
Debug.ShouldStop(8);
mostCurrent._la2.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT_BOLD);
 BA.debugLineNum = 69;BA.debugLine="La2.Color = Colors.White";
Debug.ShouldStop(16);
mostCurrent._la2.setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 BA.debugLineNum = 70;BA.debugLine="La2.Gravity = Bit.OR(Gravity.LEFT, Gravity.CENTER_VERTICAL)	'Ausrichtung Text im Label";
Debug.ShouldStop(32);
mostCurrent._la2.setGravity(anywheresoftware.b4a.keywords.Common.Bit.Or(anywheresoftware.b4a.keywords.Common.Gravity.LEFT,anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL));
 BA.debugLineNum = 71;BA.debugLine="La2.TextColor = Colors.Black";
Debug.ShouldStop(64);
mostCurrent._la2.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 BA.debugLineNum = 72;BA.debugLine="pnlMail.AddView(La2,10,40,250,40)";
Debug.ShouldStop(128);
_pnlmail.AddView((android.view.View)(mostCurrent._la2.getObject()),(int)(10),(int)(40),(int)(250),(int)(40));
 BA.debugLineNum = 73;BA.debugLine="La2.Background = gd1";
Debug.ShouldStop(256);
mostCurrent._la2.setBackground((android.graphics.drawable.Drawable)(_gd1.getObject()));
 BA.debugLineNum = 75;BA.debugLine="La3.Initialize(\"\")";
Debug.ShouldStop(1024);
mostCurrent._la3.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 76;BA.debugLine="La3.Text = \"SMTP-Server:\"";
Debug.ShouldStop(2048);
mostCurrent._la3.setText((Object)("SMTP-Server:"));
 BA.debugLineNum = 77;BA.debugLine="La3.TextSize = 14";
Debug.ShouldStop(4096);
mostCurrent._la3.setTextSize((float)(14));
 BA.debugLineNum = 78;BA.debugLine="La3.Typeface = Typeface.DEFAULT_BOLD							'Schriftart";
Debug.ShouldStop(8192);
mostCurrent._la3.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT_BOLD);
 BA.debugLineNum = 79;BA.debugLine="La3.Color = Colors.ARGB(10,0,0,0)";
Debug.ShouldStop(16384);
mostCurrent._la3.setColor(anywheresoftware.b4a.keywords.Common.Colors.ARGB((int)(10),(int)(0),(int)(0),(int)(0)));
 BA.debugLineNum = 80;BA.debugLine="La3.Gravity = Bit.OR(Gravity.LEFT, Gravity.CENTER_VERTICAL)	'Ausrichtung Text im Label";
Debug.ShouldStop(32768);
mostCurrent._la3.setGravity(anywheresoftware.b4a.keywords.Common.Bit.Or(anywheresoftware.b4a.keywords.Common.Gravity.LEFT,anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL));
 BA.debugLineNum = 81;BA.debugLine="La3.TextColor = Colors.White";
Debug.ShouldStop(65536);
mostCurrent._la3.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 BA.debugLineNum = 82;BA.debugLine="pnlMail.AddView(La3,10,100,250,20)";
Debug.ShouldStop(131072);
_pnlmail.AddView((android.view.View)(mostCurrent._la3.getObject()),(int)(10),(int)(100),(int)(250),(int)(20));
 BA.debugLineNum = 84;BA.debugLine="La4.Initialize(\"\")";
Debug.ShouldStop(524288);
mostCurrent._la4.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 85;BA.debugLine="La4.Text = \"\"";
Debug.ShouldStop(1048576);
mostCurrent._la4.setText((Object)(""));
 BA.debugLineNum = 86;BA.debugLine="La4.TextSize = 20";
Debug.ShouldStop(2097152);
mostCurrent._la4.setTextSize((float)(20));
 BA.debugLineNum = 87;BA.debugLine="La4.Typeface = Typeface.DEFAULT_BOLD							'Schriftart";
Debug.ShouldStop(4194304);
mostCurrent._la4.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT_BOLD);
 BA.debugLineNum = 88;BA.debugLine="La4.Color = Colors.White";
Debug.ShouldStop(8388608);
mostCurrent._la4.setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 BA.debugLineNum = 89;BA.debugLine="La4.Gravity = Bit.OR(Gravity.LEFT, Gravity.CENTER_VERTICAL)	'Ausrichtung Text im Label";
Debug.ShouldStop(16777216);
mostCurrent._la4.setGravity(anywheresoftware.b4a.keywords.Common.Bit.Or(anywheresoftware.b4a.keywords.Common.Gravity.LEFT,anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL));
 BA.debugLineNum = 90;BA.debugLine="La4.TextColor = Colors.Black";
Debug.ShouldStop(33554432);
mostCurrent._la4.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 BA.debugLineNum = 91;BA.debugLine="pnlMail.AddView(La4,10,130,250,40)";
Debug.ShouldStop(67108864);
_pnlmail.AddView((android.view.View)(mostCurrent._la4.getObject()),(int)(10),(int)(130),(int)(250),(int)(40));
 BA.debugLineNum = 92;BA.debugLine="La4.Background = gd1";
Debug.ShouldStop(134217728);
mostCurrent._la4.setBackground((android.graphics.drawable.Drawable)(_gd1.getObject()));
 BA.debugLineNum = 94;BA.debugLine="La5.Initialize(\"\")";
Debug.ShouldStop(536870912);
mostCurrent._la5.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 95;BA.debugLine="La5.Text = \"Sender-Adr.:\"";
Debug.ShouldStop(1073741824);
mostCurrent._la5.setText((Object)("Sender-Adr.:"));
 BA.debugLineNum = 96;BA.debugLine="La5.TextSize = 14";
Debug.ShouldStop(-2147483648);
mostCurrent._la5.setTextSize((float)(14));
 BA.debugLineNum = 97;BA.debugLine="La5.Typeface = Typeface.DEFAULT_BOLD							'Schriftart";
Debug.ShouldStop(1);
mostCurrent._la5.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT_BOLD);
 BA.debugLineNum = 98;BA.debugLine="La5.Color = Colors.ARGB(10,0,0,0)";
Debug.ShouldStop(2);
mostCurrent._la5.setColor(anywheresoftware.b4a.keywords.Common.Colors.ARGB((int)(10),(int)(0),(int)(0),(int)(0)));
 BA.debugLineNum = 99;BA.debugLine="La5.Gravity = Bit.OR(Gravity.LEFT, Gravity.CENTER_VERTICAL)	'Ausrichtung Text im Label";
Debug.ShouldStop(4);
mostCurrent._la5.setGravity(anywheresoftware.b4a.keywords.Common.Bit.Or(anywheresoftware.b4a.keywords.Common.Gravity.LEFT,anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL));
 BA.debugLineNum = 100;BA.debugLine="La5.TextColor = Colors.White";
Debug.ShouldStop(8);
mostCurrent._la5.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 BA.debugLineNum = 101;BA.debugLine="pnlMail.AddView(La5,10,190,250,20)";
Debug.ShouldStop(16);
_pnlmail.AddView((android.view.View)(mostCurrent._la5.getObject()),(int)(10),(int)(190),(int)(250),(int)(20));
 BA.debugLineNum = 103;BA.debugLine="La6.Initialize(\"\")";
Debug.ShouldStop(64);
mostCurrent._la6.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 104;BA.debugLine="La6.Text = \"\"";
Debug.ShouldStop(128);
mostCurrent._la6.setText((Object)(""));
 BA.debugLineNum = 105;BA.debugLine="La6.TextSize = 20";
Debug.ShouldStop(256);
mostCurrent._la6.setTextSize((float)(20));
 BA.debugLineNum = 106;BA.debugLine="La6.Typeface = Typeface.DEFAULT_BOLD							'Schriftart";
Debug.ShouldStop(512);
mostCurrent._la6.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT_BOLD);
 BA.debugLineNum = 107;BA.debugLine="La6.Color = Colors.White";
Debug.ShouldStop(1024);
mostCurrent._la6.setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 BA.debugLineNum = 108;BA.debugLine="La6.Gravity = Bit.OR(Gravity.LEFT, Gravity.CENTER_VERTICAL)	'Ausrichtung Text im Label";
Debug.ShouldStop(2048);
mostCurrent._la6.setGravity(anywheresoftware.b4a.keywords.Common.Bit.Or(anywheresoftware.b4a.keywords.Common.Gravity.LEFT,anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL));
 BA.debugLineNum = 109;BA.debugLine="La6.TextColor = Colors.Black";
Debug.ShouldStop(4096);
mostCurrent._la6.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 BA.debugLineNum = 110;BA.debugLine="pnlMail.AddView(La6,10,220,250,40)";
Debug.ShouldStop(8192);
_pnlmail.AddView((android.view.View)(mostCurrent._la6.getObject()),(int)(10),(int)(220),(int)(250),(int)(40));
 BA.debugLineNum = 111;BA.debugLine="La6.Background = gd1";
Debug.ShouldStop(16384);
mostCurrent._la6.setBackground((android.graphics.drawable.Drawable)(_gd1.getObject()));
 BA.debugLineNum = 113;BA.debugLine="La7.Initialize(\"\")";
Debug.ShouldStop(65536);
mostCurrent._la7.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 114;BA.debugLine="La7.Text = \"SMTP-Port:\"";
Debug.ShouldStop(131072);
mostCurrent._la7.setText((Object)("SMTP-Port:"));
 BA.debugLineNum = 115;BA.debugLine="La7.TextSize = 14";
Debug.ShouldStop(262144);
mostCurrent._la7.setTextSize((float)(14));
 BA.debugLineNum = 116;BA.debugLine="La7.Typeface = Typeface.DEFAULT_BOLD							'Schriftart";
Debug.ShouldStop(524288);
mostCurrent._la7.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT_BOLD);
 BA.debugLineNum = 117;BA.debugLine="La7.Color = Colors.ARGB(10,0,0,0)";
Debug.ShouldStop(1048576);
mostCurrent._la7.setColor(anywheresoftware.b4a.keywords.Common.Colors.ARGB((int)(10),(int)(0),(int)(0),(int)(0)));
 BA.debugLineNum = 118;BA.debugLine="La7.Gravity = Bit.OR(Gravity.LEFT, Gravity.CENTER_VERTICAL)	'Ausrichtung Text im Label";
Debug.ShouldStop(2097152);
mostCurrent._la7.setGravity(anywheresoftware.b4a.keywords.Common.Bit.Or(anywheresoftware.b4a.keywords.Common.Gravity.LEFT,anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL));
 BA.debugLineNum = 119;BA.debugLine="La7.TextColor = Colors.White";
Debug.ShouldStop(4194304);
mostCurrent._la7.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 BA.debugLineNum = 120;BA.debugLine="pnlMail.AddView(La7,10,280,250,20)";
Debug.ShouldStop(8388608);
_pnlmail.AddView((android.view.View)(mostCurrent._la7.getObject()),(int)(10),(int)(280),(int)(250),(int)(20));
 BA.debugLineNum = 122;BA.debugLine="La8.Initialize(\"\")";
Debug.ShouldStop(33554432);
mostCurrent._la8.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 123;BA.debugLine="La8.Text = \"0\"";
Debug.ShouldStop(67108864);
mostCurrent._la8.setText((Object)("0"));
 BA.debugLineNum = 124;BA.debugLine="La8.TextSize = 20";
Debug.ShouldStop(134217728);
mostCurrent._la8.setTextSize((float)(20));
 BA.debugLineNum = 125;BA.debugLine="La8.Typeface = Typeface.DEFAULT_BOLD							'Schriftart";
Debug.ShouldStop(268435456);
mostCurrent._la8.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT_BOLD);
 BA.debugLineNum = 126;BA.debugLine="La8.Color = Colors.White";
Debug.ShouldStop(536870912);
mostCurrent._la8.setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 BA.debugLineNum = 127;BA.debugLine="La8.Gravity = Bit.OR(Gravity.LEFT, Gravity.CENTER_VERTICAL)	'Ausrichtung Text im Label";
Debug.ShouldStop(1073741824);
mostCurrent._la8.setGravity(anywheresoftware.b4a.keywords.Common.Bit.Or(anywheresoftware.b4a.keywords.Common.Gravity.LEFT,anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL));
 BA.debugLineNum = 128;BA.debugLine="La8.TextColor = Colors.Black";
Debug.ShouldStop(-2147483648);
mostCurrent._la8.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 BA.debugLineNum = 129;BA.debugLine="pnlMail.AddView(La8,10,310,250,40)";
Debug.ShouldStop(1);
_pnlmail.AddView((android.view.View)(mostCurrent._la8.getObject()),(int)(10),(int)(310),(int)(250),(int)(40));
 BA.debugLineNum = 130;BA.debugLine="La8.Background = gd1";
Debug.ShouldStop(2);
mostCurrent._la8.setBackground((android.graphics.drawable.Drawable)(_gd1.getObject()));
 BA.debugLineNum = 132;BA.debugLine="La9.Initialize(\"\")";
Debug.ShouldStop(8);
mostCurrent._la9.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 133;BA.debugLine="La9.Text = \"Mail-Passw.\"";
Debug.ShouldStop(16);
mostCurrent._la9.setText((Object)("Mail-Passw."));
 BA.debugLineNum = 134;BA.debugLine="La9.TextSize = 14";
Debug.ShouldStop(32);
mostCurrent._la9.setTextSize((float)(14));
 BA.debugLineNum = 135;BA.debugLine="La9.Typeface = Typeface.DEFAULT_BOLD							'Schriftart";
Debug.ShouldStop(64);
mostCurrent._la9.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT_BOLD);
 BA.debugLineNum = 136;BA.debugLine="La9.Color = Colors.ARGB(10,0,0,0)";
Debug.ShouldStop(128);
mostCurrent._la9.setColor(anywheresoftware.b4a.keywords.Common.Colors.ARGB((int)(10),(int)(0),(int)(0),(int)(0)));
 BA.debugLineNum = 137;BA.debugLine="La9.Gravity = Bit.OR(Gravity.LEFT, Gravity.CENTER_VERTICAL)	'Ausrichtung Text im Label";
Debug.ShouldStop(256);
mostCurrent._la9.setGravity(anywheresoftware.b4a.keywords.Common.Bit.Or(anywheresoftware.b4a.keywords.Common.Gravity.LEFT,anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL));
 BA.debugLineNum = 138;BA.debugLine="La9.TextColor = Colors.White";
Debug.ShouldStop(512);
mostCurrent._la9.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 BA.debugLineNum = 139;BA.debugLine="pnlMail.AddView(La9,10,370,250,20)";
Debug.ShouldStop(1024);
_pnlmail.AddView((android.view.View)(mostCurrent._la9.getObject()),(int)(10),(int)(370),(int)(250),(int)(20));
 BA.debugLineNum = 141;BA.debugLine="La10.Initialize(\"\")";
Debug.ShouldStop(4096);
mostCurrent._la10.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 142;BA.debugLine="La10.Text = \"\"";
Debug.ShouldStop(8192);
mostCurrent._la10.setText((Object)(""));
 BA.debugLineNum = 143;BA.debugLine="La10.TextSize = 20";
Debug.ShouldStop(16384);
mostCurrent._la10.setTextSize((float)(20));
 BA.debugLineNum = 144;BA.debugLine="La10.Typeface = Typeface.DEFAULT_BOLD							'Schriftart";
Debug.ShouldStop(32768);
mostCurrent._la10.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT_BOLD);
 BA.debugLineNum = 145;BA.debugLine="La10.Color = Colors.White";
Debug.ShouldStop(65536);
mostCurrent._la10.setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 BA.debugLineNum = 146;BA.debugLine="La10.Gravity = Bit.OR(Gravity.LEFT, Gravity.CENTER_VERTICAL)	'Ausrichtung Text im Label";
Debug.ShouldStop(131072);
mostCurrent._la10.setGravity(anywheresoftware.b4a.keywords.Common.Bit.Or(anywheresoftware.b4a.keywords.Common.Gravity.LEFT,anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL));
 BA.debugLineNum = 147;BA.debugLine="La10.TextColor = Colors.Black";
Debug.ShouldStop(262144);
mostCurrent._la10.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 BA.debugLineNum = 148;BA.debugLine="pnlMail.AddView(La10,10,400,250,40)";
Debug.ShouldStop(524288);
_pnlmail.AddView((android.view.View)(mostCurrent._la10.getObject()),(int)(10),(int)(400),(int)(250),(int)(40));
 BA.debugLineNum = 149;BA.debugLine="La10.Background = gd1";
Debug.ShouldStop(1048576);
mostCurrent._la10.setBackground((android.graphics.drawable.Drawable)(_gd1.getObject()));
 BA.debugLineNum = 152;BA.debugLine="mail_Daten.AddView(List_Email,85%x, 60%y)";
Debug.ShouldStop(8388608);
mostCurrent._mail_daten.AddView((android.view.View)(_list_email.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(85),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(60),mostCurrent.activityBA));
 BA.debugLineNum = 154;BA.debugLine="ret = mail_Daten.Show(\"Email-Daten\",\"OK\", \"Abbruch\",\"\",Null)";
Debug.ShouldStop(33554432);
_ret = mostCurrent._mail_daten.Show("Email-Daten","OK","Abbruch","",mostCurrent.activityBA,(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null));Debug.locals.put("ret", _ret);
 BA.debugLineNum = 156;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_pause(boolean _userclosed) throws Exception{
		Debug.PushSubsStack("Activity_Pause (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 162;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(2);
 BA.debugLineNum = 164;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_resume() throws Exception{
		Debug.PushSubsStack("Activity_Resume (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 158;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 160;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}

public static void initializeProcessGlobals() {
    if (mostCurrent != null && mostCurrent.activityBA != null) {
Debug.StartDebugging(mostCurrent.activityBA, 9198, new int[] {6}, "a93e7fed-855e-4a74-b235-ea0396bed3aa");}

    if (processGlobalsRun == false) {
	    processGlobalsRun = true;
		try {
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}

public static void killProgram() {
    
            if (main.previousOne != null) {
				Activity a = main.previousOne.get();
				if (a != null)
					a.finish();
			}

}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 21;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 25;BA.debugLine="Dim La1, La2, La3, La4, La5, La6, La7, La8, La9, La10, La11 As Label";
mostCurrent._la1 = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._la2 = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._la3 = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._la4 = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._la5 = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._la6 = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._la7 = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._la8 = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._la9 = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._la10 = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._la11 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 26;BA.debugLine="Dim mail_Daten As CustomDialog2";
mostCurrent._mail_daten = new anywheresoftware.b4a.agraham.dialogs.InputDialog.CustomDialog2();
 //BA.debugLineNum = 28;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 15;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 19;BA.debugLine="End Sub";
return "";
}
  public Object[] GetGlobals() {
		return new Object[] {"Activity",_activity,"La1",_la1,"La2",_la2,"La3",_la3,"La4",_la4,"La5",_la5,"La6",_la6,"La7",_la7,"La8",_la8,"La9",_la9,"La10",_la10,"La11",_la11,"mail_Daten",_mail_daten};
}
}
